#ifndef DICE
    #define DICE
    #include <vector>
    #include <iostream>
    #include <time.h>
    #include "qwixx.h"
    class Dice 
    {
        public:
            std::vector<int> dice;
            Dice();
            int roll();
            void print();
            // add entropy to the dice rolls
            void diceTropy(int entropy);
        private:
            int previousSeed;
    }; 
#endif